# std::experimental::propagate_const::operator bool

From cppreference.com
< cpp‎ | experimental‎ | propagate const

constexpr explicit operator bool() const; |  | (library fundamentals TS v2)

Checks whether the wrapped pointer-like object, t_, is null.

### Parameters

(none)

### Return value

true if the wrapped object is not null, otherwise false. Equivalent to (bool)t_.

### Example

| This section is incomplete Reason: no example

### See also

get | returns a pointer to the object pointed to by the wrapped pointer (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/propagate_const/operator_bool&oldid=79520"
Category:

- Todo no example